Rates
You can retrieve the current rates that a conversion request would be booked at.
GET /api/v1/fx/rates/current
Retrieve a current rate
GET /api/v1/fx/rates/current
Retrieve a current rate for the buy/sell currency and amount. Note that the amount is validated against the upper conversion limit to ensure that a conversion for the specified amount can be executed.
Amount the client buys in buy_currency (must be blank if sell_amount is specified). Defaults to 10000 if neither buy_amount or sell_amount is specified.
Currency (3-letter ISO-4217 code) the client buys
Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.
Amount the client sells in sell_currency (must be blank if buy_amount is specified)
Currency (3-letter ISO-4217 code) the client sells. This is the currency you will need to send us by the settlement cutoff time
Buy currency of the rate (3-letter ISO-4217 code)
Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.
The time at which the request was made. Follows the same timestamp format as the rest of Airwallex’s APIs.
The currency pair that the rate is for. The direction of the currency pair is per market convention where possible
The currency where the client provided the exact amount for in the request
sell_amount copied from the Rate request (if specified). Otherwise, this is calculated by multiplying/dividing the buy_amount by the FX rate depending on the direction of the currency pair
Breakdown of rates at different user levels.
The total amount being bought at the respective level.
Supported levels include: CLIENT, AWX, PLATFORM_CLIENT
The exchange rate from the respective level's perspective.
The total amount being sold at the respective level.
Sell currency of the rate (3-letter ISO-4217 code)
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/fx/rates/current' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "buy_currency": "AUD",3 "conversion_date": "2017-04-01",4 "created_at": "2019-05-04T02:49:05+0000",5 "currency_pair": "AUDUSD",6 "dealt_currency": "AUD",7 "rate": 7632,8 "rate_details": [9 {10 "buy_amount": 10000,11 "level": "CLIENT",12 "rate": 0.781523,13 "sell_amount": 12794.2714 }15 ],16 "sell_currency": "USD"17}